package com.bpcl.lpg.core.dao;

import de.hybris.platform.core.servicelayer.data.SearchPageData;
import com.bpcl.lpg.core.model.LpgSafetyInspectionModel;
import java.util.Date;

public interface BpclSafetyInspectionDao
{
    LpgSafetyInspectionModel getInspectionDetailsByConsumerNo(final String p0, final String p1, final Date p2);
    
    LpgSafetyInspectionModel getInspectionDetailsByContactNumber(final String p0, final Date p1);
    
    LpgSafetyInspectionModel getInspectionDetailsByLpgID(final String p0, final Date p1);
    
    SearchPageData<LpgSafetyInspectionModel> getSafetyInspectionDetailsForExport(final Date p0, final Date p1, final int p2, final int p3);
    
    LpgSafetyInspectionModel getSafetyInspectionDetailsBySafetyInspectionId(final String p0);
}
